Scroll(1.8)

NAME
Scroll - the AfterStep scroll-bar module

SYNOPSIS
Scroll [-f config_file] [-v | --version] [-h | --help] [x y]

Although Scroll can be run from the command line, it is normally spawned by afterstep from within an afterstep menu file by 'Scroll':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Scroll"
	Module "Scroll" Scroll
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Scroll module prompts the user to select a target window, if the module was not launched from within a window context in AfterStep. After that, it adds scroll bars to the selected window, to reduce the total desktop space consumed by the window. Scroll should not be used with windows which move or resize themselves, nor should it be used with windows which set the WM_COLORMAP_WINDOWS property. Operation is fine with windows that have a private colormap.

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Scroll will search for a configuration file which describes the colors to use. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/scroll file will be used if it exists. Else, /usr/local/share/afterstep/scroll will be used. If the Scroll executable is linked to another name, ie 'ln -s Scroll OtherScroll, then another module called OtherScroll can be started, with a completely different configuration than Scroll, simply by changing the keyword *Scroll to *MoreScroll. This way multiple Scrolling modules can be used.

INVOCATION
Scroll can be invoked from a menu item as shown in the Synopsis section above, or from binding "Module Scroll [x y]" to a key-stroke in a feel file, where the parameter x and y are integers, which describe the horizontal and vertical window size reduction. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Scroll.

CONFIGURATION OPTIONS
Scroll reads the scroll file when it starts up and looks for it's configuration options:

*ScrollFore color
    Tells the module to use color instead of grey for scroll bars themselves.

*ScrollBack color
    Tells the module to use color instead of black for the window background.

BUGS
When the scroll bars are removed by clicking on the button in the lower right corner, the window does not restore its location correctly.

AUTHOR
Robert Nation
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1)